<!-- Copyright 2020 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="wrong-hwid-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <oobe-dialog role="dialog" has-buttons
        title-key="wrongHWIDScreenHeader">
      <hd-iron-icon slot="oobe-icon" class="warning"
          icon1x="oobe-32:warning" icon2x="oobe-64:warning">
      </hd-iron-icon>
      <div slot="subtitle">
        <p><html-echo content="[[formattedFirstPart_(locale)]]"></html-echo></p>
        <p>[[i18nDynamic(locale, 'wrongHWIDMessageSecondPart')]]</p>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="skipButton" inverse
            text-key="wrongHWIDScreenSkipLink" on-click="onSkip_">
        </oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
